From 12fced438b40455087f3099da25dcf3261b8f660 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 12 2021 06:40:04 +0000
Subject: [PATCH 2109/2232] Hide underlying type_id proc macro from rustdoc


---

diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index 7894f30..a92eae7 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -74,6 +74,7 @@ pub fn bridge(args: TokenStream, input: TokenStream) -> TokenStream {
         .into()
 }
 
+#[doc(hidden)]
 #[proc_macro]
 pub fn type_id(input: TokenStream) -> TokenStream {
     struct TypeId {

